Bug 190048 - kernel -2.6.16-1.2096_FC4 palm pilot usb sync not accepting address 21 error -110
kernel -2.6.16-1.2096_FC4 palm pilot usb sync not accepting address 21 error ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 20:10 EDT by George N. White III
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.16-1.2107
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 07:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George N. White III 2006-04-26 20:10:28 EDT
Description of problem: unable to sync Palm pilot using after installing
kernel-2.6.16-1.2096_FC4 on two different systems

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2096_FC4
pilot-link-0.12.0-0.pre4.0.fc4.2 and pilot-link-0.11.8-11.4.fc4

How reproducible: fails on both systems, but one (cerberus) sometimes gives
kernel errors and sometimes works.  The other (dormarth) is creating an
incorrect symlink.  The Palm TE has been syncing with the last few kernels, also
syncs with debian unstable and WinXP.

Steps to Reproduce:

1. connect Palm to USB cable and start "sync" on Palm

2. count to 10 and start "sudo pilot-xfer -p /dev/pilot -l"

Actual results:


System 1 (cerberus):  /dev/pilot, /dev/ttyUSB*  not created

Apr 26 20:14:26 cerberus kernel: usb 4-1: new low speed USB device using
ohci_hcd and address 29
Apr 26 20:14:27 cerberus kernel: usb 4-1: device not accepting address 29, error
-110
Apr 26 20:14:27 cerberus kernel: usb 4-1: new low speed USB device using
ohci_hcd and address 30
Apr 26 20:14:27 cerberus kernel: usb 4-1: device not accepting address 30, error
-110
Apr 26 20:14:28 cerberus kernel: usb 4-1: new low speed USB device using
ohci_hcd and address 31
Apr 26 20:14:28 cerberus kernel: usb 4-1: device descriptor read/64, error -110
Apr 26 20:14:28 cerberus kernel: usb 4-1: device descriptor read/64, error -110
Apr 26 20:14:28 cerberus kernel: usb 4-1: new low speed USB device using
ohci_hcd and address 32
Apr 26 20:14:28 cerberus kernel: usb 4-1: device descriptor read/64, error -110
Apr 26 20:14:28 cerberus kernel: usb 4-1: device descriptor read/64, error -110


System 2 (dormarth)

/dev/pilot is incorrectly symlinked (for the Palm TE, should be the 2nd of the 
ttyUSB devices created).

$ ls -l /dev/pilot /dev/ttyUSB?
lrwxrwxrwx  1 root root      7 Apr 26 20:27 /dev/pilot -> ttyUSB0
crw-rw----  1 root uucp 188, 0 Apr 26 20:27 /dev/ttyUSB0
crw-rw----  1 root uucp 188, 1 Apr 26 20:27 /dev/ttyUSB1

$ sudo pilot-xfer -p /dev/ttyUSB1 -l

   Listening for incoming connection on /dev/ttyUSB1...

[timing seems critical, so I tried this several times from the top without success]

Expected results:

list of databases on the Palm

Additional info:

The visor module was not being loaded, so I did "sudo modprobe visor", which 
enabled the creation of devices on dormarth. Changing from "/dev/pilot" to
"/dev/ttyUSB1" on dormarth still didn't give the expected listing.  

Cerberus is a Dell PE 600SC with on-board USB1 and a PCI USB2/fireware card.  I
also tried the USB2 port and was able to sync once, but the subsequent attempts
gave the "not accepting address 21 error -110" messages.

Dormarth is old hardware -- IBM 365 (dual Pentium Pro).
Comment 1 George N. White III 2006-04-30 06:13:11 EDT
syncing is still working on cerberus booted with the previous
(2.6.16.1.2069_FC4) kernel and on-board USB1, so this is certainly a kernel issue.
Comment 2 Jaak Simm 2006-05-02 03:47:33 EDT
I have similar problem with USB flash stick. I noticed it for
kernel-2.6.16-1.2096_FC5, haven't tried other kernels at the moment.

Namely, if the usb stick is connected at the boot, the stick will often not
mount (not manually and not through hotplug). Even if the stick re-plugged to
different usb slots nothing happens, no messages in /var/log/messages. At boot
following lines appear in dmesg:

usb 5-4: new high speed USB device using ehci_hcd and address 14
usb 5-4: device not accepting address 14, error -110
usb 5-4: new high speed USB device using ehci_hcd and address 15
usb 5-4: device not accepting address 15, error -110
usb 5-4: new high speed USB device using ehci_hcd and address 16
usb 5-4: device not accepting address 16, error -110
usb 5-4: new high speed USB device using ehci_hcd and address 17
usb 5-4: device not accepting address 17, error -110

But it does not happen, if USB stick is not plugged-in at the boot time, but
inserted after the boot.
George, did your bug occur also if the pilot usb was not connected at the boot time?
Comment 3 George N. White III 2006-05-02 10:25:57 EDT
The Palm was not connected at boot.  I haven't used the 2096 kernel much as
2069 is working with the Palm, so can't say if my other USB devices have
problems with 2096.
Comment 4 George N. White III 2006-05-06 07:38:58 EDT
Palm syncing is working again after installing kernel 2.6.16-1.2107_FC4

In /var/log/messages I saw (options visor debug=1 stats=1):

May  5 17:58:01 cerberus kernel: usb 4-1: Handspring Visor / Palm OS converter
now attached to ttyUSB2
May  5 17:58:13 cerberus kernel: [list of bytes from /etc/passwd in hex format]
May  5 17:58:16 cerberus kernel: visor ttyUSB2: Bytes In = 30289  Bytes Out = 5937

The 17:58:13 line seems odd -- if it is from the visor debuggin, why would visor
be dumping info from /etc/passwd?.  I'll leave visor debugging on for a while to
see it happens again.  

Note You need to log in before you can comment on or make changes to this bug.